package m05bPiezaEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bPieza;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05PiezaEB</tt>.
 *
 * @see     m05.exe.Pieza 
 * @see     m05.exe.M05PiezaEBHome
 * @see     m05.exe.M05PiezaEBPK
 * @see     m05.exe.M05PiezaEBBean 
 * @author <a href="mailto:paco.gomez@terra.com">Paco Gomez</a>.
 *         Professional J2EE Programming with BEA WebLogic Server, 
 *         by Gomez & Zadrozny, Copyright &#169; 2000. 
 */
public interface m05Pieza extends EJBObject{

  public String getPie_codigo()throws RemoteException;  
  public void setPie_codigo(String n)throws RemoteException;  
  
  public String getPie_pieza()throws RemoteException;  
  public void setPie_pieza(String n)throws RemoteException;  
 
  public double getPie_precio()throws RemoteException;  
  public void setPie_precio(double n)throws RemoteException;  

  /*Iker euskera*/
  public String getPie_piezaEu()throws RemoteException;  
  public void setPie_piezaEu(String n)throws RemoteException; 
  
  
  /**
   * Returns the Pieza information of this E-EJB.
   */   
  public m05bPieza getPieza()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Pieza <tt>mod_id</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setPieza(Pieza pieza)
    throws RemoteException, Exception;    */

}	